For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet a counterpart's VAT IDs
      • POSTCreate a counterpart VAT ID
      • GETGet a counterpart's VAT ID
      • DELDelete a counterpart's VAT ID
      • PATCHUpdate a counterpart's VAT ID
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonCounterpart VAT IDs

Get a counterpart's VAT IDs

GET
/counterparts/:counterpart_id/vat_ids
GET
/v1/counterparts/:counterpart_id/vat_ids
$curl https://api.sandbox.monite.com/v1/counterparts/counterpart_id/vat_ids \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "counterpart_id": "counterpart_id",
6 "value": "123456789",
7 "country": "AF",
8 "type": "ae_trn"
9 }
10 ]
11}
Was this page helpful?
Previous

Create a counterpart VAT ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects

Errors

401
Get Counterparts ID Vat Ids Request Unauthorized Error
403
Get Counterparts ID Vat Ids Request Forbidden Error
404
Get Counterparts ID Vat Ids Request Not Found Error
422
Get Counterparts ID Vat Ids Request Unprocessable Entity Error
500
Get Counterparts ID Vat Ids Request Internal Server Error